API referenceEndpointsFunds
Authorization
RanglerApiKey X-API-Key<token>
In: header
Query Parameters
provider?|
Filter by provider slug
q?|
Search by fund name or slug
limit?Limit
Default
100Range
1 <= value <= 500currency?Currency
AUM display currency
Default
"native"Value in
"native" | "NGN" | "USD"country_code?|
Filter by ISO 3166-1 alpha-2 market country code
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.rangler.co/v1/funds"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"provider": "string",
"provider_display_name": "string",
"provider_website_url": "string",
"provider_logo_url": "string",
"logo_url": "string",
"slug": "string",
"name": "string",
"labels": [
"string"
],
"category": "string",
"base_currency": "string",
"country_code": "NG",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"latest_snapshot": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"fund_id": "03a7028d-1e56-4623-897d-4d4e615eae02",
"as_of_date": "2019-08-24",
"factsheet_month": "2019-08-24",
"factsheet_title": "string",
"factsheet_url": "string",
"source_post_url": "string",
"source_period_month": "2019-08-24",
"source_document_title": "string",
"source_document_url": "string",
"source_page_url": "string",
"source_published_at": "2019-08-24T14:15:22Z",
"price": 0,
"price_currency": "string",
"aum": 0,
"aum_currency": "string",
"native_aum": 0,
"native_aum_currency": "string",
"fx_rate_applied": 0,
"fx_rate_date": "2019-08-24",
"aum_conversion_status": "native",
"asset_value_kind": "string",
"asset_value_label": "string",
"month_return_pct": 0,
"ytd_return_pct": 0,
"annual_returns": {
"property1": 0,
"property2": 0
},
"net_yield_pct": 0,
"aum_change_abs": 0,
"aum_change_pct": 0,
"aum_change_yoy_abs": 0,
"aum_change_yoy_pct": 0,
"price_change_abs": 0,
"price_change_pct": 0,
"price_change_yoy_abs": 0,
"price_change_yoy_pct": 0,
"net_yield_change_pct_points": 0,
"net_yield_change_yoy_pct_points": 0
},
"latest_holdings_snapshot": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"fund_id": "03a7028d-1e56-4623-897d-4d4e615eae02",
"as_of_date": "2019-08-24",
"factsheet_month": "2019-08-24",
"factsheet_title": "string",
"factsheet_url": "string",
"source_post_url": "string",
"source_period_month": "2019-08-24",
"source_document_title": "string",
"source_document_url": "string",
"source_page_url": "string",
"source_published_at": "2019-08-24T14:15:22Z",
"price": 0,
"price_currency": "string",
"aum": 0,
"aum_currency": "string",
"native_aum": 0,
"native_aum_currency": "string",
"fx_rate_applied": 0,
"fx_rate_date": "2019-08-24",
"aum_conversion_status": "native",
"asset_value_kind": "string",
"asset_value_label": "string",
"month_return_pct": 0,
"ytd_return_pct": 0,
"annual_returns": {
"property1": 0,
"property2": 0
},
"net_yield_pct": 0,
"aum_change_abs": 0,
"aum_change_pct": 0,
"aum_change_yoy_abs": 0,
"aum_change_yoy_pct": 0,
"price_change_abs": 0,
"price_change_pct": 0,
"price_change_yoy_abs": 0,
"price_change_yoy_pct": 0,
"net_yield_change_pct_points": 0,
"net_yield_change_yoy_pct_points": 0
}
}
],
"next_cursor": "string"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}List fund market events
Returns market events ordered by the event freshness timestamp `coalesce(source_published_at, occurred_at, created_at)` in descending order. Cursor pagination and the `from`/`to` filters use the same timestamp, so backfilled older filings do not outrank genuinely newer disclosures just because they were ingested later. Public feeds normalize filing lifecycle events by folding usable companion filing signals into `filing.new`.
Get Fund
Next Page